html {
    width: 100%;
    min-height: 100vh;
}

body {
    z-index: 1;
    position: relative;
    width: 100%;
    min-height: 100vh;
    padding: 0;
    margin: 0;
}

#background {
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: -2;
    background: url("img/IMG_1905.JPG") center;
    background-size: 300%;
}

#backgroundblurr {
    height: 100%;
    width: 100%;
    position: fixed;
    z-index: -1;
    background: rgba(255, 255, 255, 0.5);
}

#fehlermeldung {
    position: relative;
    width: 100%;
    height: auto;
    top: 0;
    text-align: center;
}

.fehlermeldung {
    display: none;
}

.fehlerarticle {
    display: none;
}

.fehlerarticle-ena {
    display: block;
}

section.warnmeldung, section.meldung, section.erfolg, section.info {
    padding: 15px;
    border: 1px solid transparent;
    border-radius: 4px;
    box-sizing: border-box;
    line-height: 1.42857;
    font-size: 14px;
    display: block;
}

section.warnmeldung {
    color: #A94442;
    background-color: #F2DEDE;
}

section.meldung {
    color: #8a6d3b;
    background-color: #fcf8e3;
}

section.erfolg {
    color: #3c763d;
    background-color: #dff0d8;
}

section.info {
    color: #31708f;
    background-color: #d9edf7;
}

header {
    z-index: 1000;
    display: flex;
    justify-content: space-around;
    position: fixed;
    top: 0;
    width: 100%;
    height: 4rem;
    font-size: 2.65rem;
    background-color: rgba(242, 242, 242, 0.75);
    box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2);
}

.hamburger {
    display: block;
    position: absolute;
    overflow: hidden;
    margin: 0;
    padding: 0;
    left: 0;
    height: 4rem;
    width: 4rem;
    z-index: 500;

    text-indent: 0;
    box-shadow: none;
    border-radius: 0;
    border: none;
    cursor: pointer;
    transition: background 0.3s;
    background: rgba(4, 95, 180, 0.55);
}

.h-ena {
    outline: none;
    background: rgba(4, 95, 180, 0.55);
}

.h-ena .close-ena {
    display: block;
}

.hamburger span {
    display: block;
    position: absolute;
    top: 45%;
    left: 25%;
    right: 25%;
    height: 10%;

    background: white;
    transition: background 0s 0.3s;
}

.hamburger span::before, .hamburger span::after {
    position: absolute;
    display: block;
    left: 0;
    width: 100%;
    height: 100%;

    background-color: #fff;
    content: "";
    transition-duration: 0.3s, 0.3s;
    transition-delay: 0.3s, 0s;
}

.hamburger span::before {
    top: -210%;

    transition-property: top, transform;
}

.hamburger span::after {
    bottom: -210%;

    transition-property: bottom, transform;
}

.h-ena span {
    background: none;
}

.h-ena span::before {
    top: 0;

    transform: rotate(45deg);
}

.h-ena span::after {
    bottom: 0;

    transform: rotate(-45deg);
}

.h-ena span::before, .h-ena span::after {
    transition-delay: 0s, 0.3s;
}

.logo {
    height: 4rem;
    align-self: center;
}

nav {
    z-index: 1000;
    position: fixed;
    top: 4rem;
    width: 0;
    height: 0;
    font-size: 1.65rem;
    background-color: rgba(242, 242, 242, 0.75);
    box-shadow: 0 15px 15px -13px rgba(0, 0, 0, 1);
}

ul.menu {
    position: fixed;
    width: 75vw;
    height: calc(100vh - 4rem);
    margin: 0;
    padding: 0;
    top: 4rem;
    left: 0;
    list-style: none;
    display: none;
    background: rgba(4, 95, 180, 0.55);
}

ul.menu-ena {
    display: block;
}

ul.menu li {
    margin: 0;
    padding: 0.3rem 0;
    width: auto;
    height: auto;
    z-index: 999;
    background: rgba(242, 242, 242, 0.75);

    list-style: none;

    transition: visibility 0.5s;
}

ul.menu li a, ul.menu li label {
    color: #000;
    margin-left: 0.75rem;
    cursor: pointer;

    text-decoration: none;
}

main, .content {
    padding: 4rem 0;
}

article {
    margin-top: 3rem;
    padding: 1rem;
    background: rgba(4, 95, 180, 0.55);
    box-shadow: 0 0 15px rgba(0, 0, 0, 1);
}

section.white {
    background: rgba(242, 242, 242, 0.75);
}

section.sectionButton {
    padding: 0.75rem 0.75rem 0;
}

.login {
    display: block;
}

.pwv, .login-ena {
    display: none;
}

.pwv-ena {
    display: block;
}

.registrieren {
    display: block;
}

.erstellen, .registrieren-ena {
    display: none;
}

.erstellen-ena {
    display: block;
}

.dashboard th, .dashboard td {
    background: rgba(242, 242, 242, 0.75);

    text-align: center;
}

.details, .textf {
    position: absolute;
    display: none;
    z-index: 600;
    background-color: rgba(4, 95, 180, 0.95);
    margin-top: 7rem;
}

.details-ena, .textf-ena {
    display: block;
}

.closebut {
    position: absolute;
    bottom: 0.75rem;
    right: 0.75rem;
    border-radius: 15px;
    border: 0;
    margin: 0.25rem 0;
}

.newent {
    bottom: 0.75rem;
    right: 5.75rem;
    border-radius: 15px;
    border: 0;
    margin: 0.25rem 0;
}

.delete {
    height: 25px;
    cursor: pointer;
}

.stundenplan td.nocursor {
    cursor: default;
}

.stundenplan td.click {
    cursor: pointer;
}

.stundenplan th, .stundenplan td {
    background: rgba(242, 242, 242, 0.75);

    text-align: center;
}

.sysBlock {
    background: rgba(255, 0, 0, 0.75);
}

.clear {
    position: relative;
    visibility: hidden;
    clear: both;
}

footer {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 3rem;
    background: rgba(242, 242, 242, 0.75);
}

footer a {
    margin-left: 1rem;

    color: #000;
    font-size: 2rem;
    text-decoration: none;
}

/*
 * Tablet Mode
 */
@media screen and (min-width: 768px) {
    header {
        height: 3rem;
    }

    .logo {
        height: 3rem;
    }

    .hamburger {
        display: none;
    }

    nav {
        width: 100%;
        height: 3rem;
        top: 0;
        font-size: 1.65rem;
        background-color: transparent;
        box-shadow: none;
    }

    ul.menu {
        top: 0;
        margin: 0;
        padding: 0;
        height: 2rem;
        width: 100%;
        list-style: none;
        display: block;
        background-color: transparent;
    }

    ul.menu li {
        display: inline-block;
        position: relative;
        line-height: 2rem;
        text-align: left;
        width: auto;
        margin: 0;
        padding: 0;
    }

    ul.menu li a, ul.menu li label {
        display: block;
        color: black;
        text-decoration: none;
        padding: 0.5rem 15px;
        margin: 0;
    }

    ul.menu li.active {
        background-color: rgba(4, 95, 180, 0.85);
    }

    ul.menu li:hover {
        background-color: rgba(4, 95, 180, 0.85);
    }

    article {
        padding: 1rem 3rem;
    }
}

/*
 * Desktop Mode
 */
@media screen and (min-width: 992px) {
    ul.menu {
        width: 80%;
        margin: 0 auto;
    }

    ul li {
        display: inline-block;
        position: relative;
        line-height: 2rem;
        text-align: left;
    }

    ul li a {
        display: block;
        color: black;
        text-decoration: none;
    }

    ul li:hover {
        background: rgba(4, 95, 180, 0.85);;
    }

    article {
        padding: 1rem 5rem;
    }
}

/*
 * Big Desktop Mode
 */
@media screen and (min-width: 1200px) {
    ul.menu {
        width: 60%;
        margin: 0 auto;
    }

    ul li {
        display: inline-block;
        position: relative;
        line-height: 2rem;
        text-align: left;
    }

    ul li a {
        display: block;
        color: black;
        text-decoration: none;
    }

    ul li:hover {
        background: rgba(4, 95, 180, 0.85);;
    }

    article {
        padding: 1rem 15rem;
    }
}